-- Script @adriano
AnimatiiCardanDirectie = {};

function AnimatiiCardanDirectie.prerequisitesPresent(specializations)
    return true;
end;

function AnimatiiCardanDirectie:load(xmlFile)
	-- Cardan Directie
  	
	self.numCardanDirectie = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.cardanDirectie#count"), 0);
	self.cardanDirectie = {};
    for i=1, self.numCardanDirectie do
        local objname = string.format("vehicle.cardanDirectie.cardan" .. "%d", i);
		self.cardanDirectie[i] = {};
        self.cardanDirectie[i].rotNode = Utils.indexToObject(self.components, getXMLString(xmlFile, objname .. "#rotNode"));
    end;  
  self.numCardanDirectie1 = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.cardanDirectie1#count"), 0);
	 self.cardanDirectie1 = {};
    for i=1, self.numCardanDirectie1 do
        local objname = string.format("vehicle.cardanDirectie1.cardan" .. "%d", i);
		self.cardanDirectie1[i] = {};
        self.cardanDirectie1[i].rotNode = Utils.indexToObject(self.components, getXMLString(xmlFile, objname .. "#rotNode"));
    end;



function AnimatiiCardanDirectie:delete()
end;

function AnimatiiCardanDirectie:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AnimatiiCardanDirectie:keyEvent(unicode, sym, modifier, isDown)
end;

function AnimatiiCardanDirectie:update(dt)	
	-- Cardan Directie
	
	for i=1, self.numCardanDirectie do
		if self.wheels[i].repr ~= nil then
		local x2,y2,z2 = getRotation(self.wheels[i].repr);
		setRotation(self.cardanDirectie[i].rotNode, x2,y2 * 17.14,z2);
		end;
	end;
	for i=1, self.numCardanDirectie1 do
		if self.wheels[i].repr ~= nil then
		local x2,y2,z2 = getRotation(self.wheels[i].repr);
		setRotation(self.cardanDirectie1[i].rotNode, x2,y2 * 17.14,z2);
		end;
	end;
	
	

function AnimatiiCardanDirectie:draw()
end;
end;
end;